For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet all entity users
      • POSTCreate an entity user
      • GETGet current entity user
      • PATCHUpdate current entity user
      • GETGet a role of this entity user
      • GETGet an entity user
      • DELDelete an entity user
      • PATCHUpdate an entity user
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity users

Get all entity users

GET
/entity_users
GET
/v1/entity_users
$curl https://api.sandbox.monite.com/v1/entity_users \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "created_at": "2024-01-15T09:30:00Z",
6 "updated_at": "2024-01-15T09:30:00Z",
7 "login": "caseyp",
8 "role_id": "role_id",
9 "status": "active",
10 "email": "email",
11 "first_name": "first_name",
12 "last_name": "last_name",
13 "phone": "phone",
14 "userpic_file_id": "userpic_file_id"
15 }
16 ],
17 "next_pagination_token": "next_pagination_token",
18 "prev_pagination_token": "prev_pagination_token"
19}
Retrieve a list of all entity users.
Was this page helpful?
Previous

Create an entity user

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Query parameters

orderenumOptional

Sort order (ascending by default). Typically used together with the sort parameter.

Allowed values:
limitintegerOptional1-100Defaults to 100

The number of items (0 .. 100) to return in a single page of the response. The response may contain fewer items if it is the last or only page.

pagination_tokenstringOptional

A pagination token obtained from a previous call to this endpoint. Use it to get the next or previous page of results for your initial query. If pagination_token is specified, all other query parameters are ignored and inferred from the initial query.

If not specified, the first page of results will be returned.

sort"updated_at"Optional

The field to sort the results by. Typically used together with the order parameter.

id__instringOptionalformat: "uuid"
id__not_instringOptionalformat: "uuid"
role_idstringOptionalformat: "uuid"
role_id__instringOptionalformat: "uuid"
loginstringOptional
statusstringOptional
first_namestringOptional
name__istartswithstringOptional
created_at__gtdatetimeOptional
created_at__ltdatetimeOptional
created_at__gtedatetimeOptional
created_at__ltedatetimeOptional

Response

Successful Response
datalist of objects
array of records
next_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the next page of results, or null if there is no next page (i.e. you’ve reached the last page).

prev_pagination_tokenstring

A token that can be sent in the pagination_token query parameter to get the previous page of results, or null if there is no previous page (i.e. you’ve reached the first page).

Errors

400
Get Entity Users Request Bad Request Error
401
Get Entity Users Request Unauthorized Error
403
Get Entity Users Request Forbidden Error
406
Get Entity Users Request Not Acceptable Error
422
Get Entity Users Request Unprocessable Entity Error
500
Get Entity Users Request Internal Server Error